SystemOrganization addCategory: #EpigentRiakInterfaceTests!

!EpigentRiakClient class methodsFor: '*EpigentRiakInterfaceTests' stamp: 'RunarJordahl 3/6/2011 21:37'!
newWithTestConnection
	^ self newForRestConnection: self riakTestUrlString! !

!EpigentRiakClient class methodsFor: '*EpigentRiakInterfaceTests' stamp: 'RunarJordahl 3/6/2011 21:37'!
riakTestUrlString
	^ 'http://riaktest:8098/riak'! !

TestCase subclass: #EpigentRiakRestConnectionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EpigentRiakInterfaceTests'!

!EpigentRiakRestConnectionTest methodsFor: 'tests' stamp: 'RunarJordahl 3/6/2011 21:38'!
testDeleteObject
	| client bucket |
	client := EpigentRiakClient newWithTestConnection.
	bucket := client bucketNamed: 'test'.
	bucket atKey: 'test' put: 'abc' type: 'text/plain'.
	bucket deleteKey: 'test'! !

!EpigentRiakRestConnectionTest methodsFor: 'tests' stamp: 'RunarJordahl 3/6/2011 21:40'!
testGetObject
	| client bucket storedObject |
	client := EpigentRiakClient newWithTestConnection.
	storedObject := 'abc'.
	bucket := client bucketNamed: 'test'.
	bucket atKey: 'test' put: storedObject type: 'text/plain'.
	self assert: (bucket atKey: 'test') = storedObject! !

!EpigentRiakRestConnectionTest methodsFor: 'tests' stamp: 'RunarJordahl 3/6/2011 21:40'!
testListBuckets
	| client |
	client := EpigentRiakClient newWithTestConnection.
	client bucketNames! !

!EpigentRiakRestConnectionTest methodsFor: 'tests' stamp: 'RunarJordahl 3/6/2011 21:41'!
testPutBinaryObject
	| client |
	client := EpigentRiakClient newWithTestConnection.
	(client bucketNamed: 'test') atKey: 'test' put: (ByteArray with: 1 with: 2 with: 5) type: 'application/binary'! !

!EpigentRiakRestConnectionTest methodsFor: 'tests' stamp: 'RunarJordahl 3/6/2011 21:41'!
testPutStringObject
	| client bucket |
	client := EpigentRiakClient newWithTestConnection.
	bucket := client bucketNamed: 'test'.
	bucket atKey: 'test' put: 'abc1' type: 'text/plain'! !
